Package org.apache.sysds.runtime.io.hdf5.message

# Class H5ObjectModificationTimeMessage

java.lang.Object
org.apache.sysds.runtime.io.hdf5.message.H5Message
org.apache.sysds.runtime.io.hdf5.message.H5ObjectModificationTimeMessage

public class H5ObjectModificationTimeMessage extends H5Message

## Constructor Summary

Constructors
Constructor
Description
`H5ObjectModificationTimeMessage(H5RootObject rootObject, BitSet flags, long unixEpocSecond)`
`H5ObjectModificationTimeMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`

## Method Summary

Modifier and Type
Method
Description
`LocalDateTime`
`getModifiedTime()`
`long`
`getUnixEpocSecond()`
`void`
`toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### H5ObjectModificationTimeMessage

public H5ObjectModificationTimeMessage(H5RootObject rootObject, BitSet flags, long unixEpocSecond)

### H5ObjectModificationTimeMessage

public H5ObjectModificationTimeMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)

## Method Details

### toBuffer

public void toBuffer(H5BufferBuilder bb)

### getModifiedTime

public LocalDateTime getModifiedTime()

### getUnixEpocSecond

public long getUnixEpocSecond()